#ifndef	_KEYBOARD_H
#define	_KEYBOARD_H



/*
 * GPIO pins for the push buttons.
 */
#define	PANEL_RETURN	3
#define	PANEL_ENTER	4
#define	PANEL_DOWN	5
#define	PANEL_UP	6


/*
 * Key names
 */
#define	KEY_NONE	0
#define	KEY_UP		1
#define	KEY_DOWN	2
#define	KEY_RETURN	3
#define	KEY_ENTER	4
#define	KEY_ESCAPE	12
#define	KEY_ALL		99


int keywait(void);
int keycheck(void);

#ifdef HAVE_WIRINGPI_H
PI_THREAD (my_keyboard_loop);
#else
void *my_keyboard_loop(void *);
#endif

#endif
